"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
/** @jsx jsx */
var core_1 = require("@emotion/core");
var react_1 = require("react");
var sdk_1 = require("@builder.io/sdk");
var core_2 = require("@material-ui/core");
var ExampleEditor = /** @class */ (function (_super) {
    __extends(ExampleEditor, _super);
    function ExampleEditor() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            showDialog: false
        };
        return _this;
    }
    Object.defineProperty(ExampleEditor.prototype, "organization", {
        // TODO: if key is not set, prompt the user for their cloudinary key and set it via the
        // setter below
        get: function () {
            return this.props.context.user.organization;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ExampleEditor.prototype, "cloudinaryKey", {
        get: function () {
            return this.organization.value.settings.plugins.get('cloudinaryKey');
        },
        set: function (key) {
            this.organization.value.settings.plugins.set('cloudinaryKey', key);
            this.organization.save();
        },
        enumerable: true,
        configurable: true
    });
    ExampleEditor.prototype.closeDialog = function () {
        this.setState(__assign(__assign({}, this.state), { showDialog: false }));
    };
    ExampleEditor.prototype.render = function () {
        var _this = this;
        var imageStyle = {
            width: 200,
            height: 200,
            cursor: 'pointer',
            objectFit: 'cover',
            borderRadius: 4,
            backgroundColor: '#f8f8f8'
        };
        return (core_1.jsx("div", { css: { padding: '15px 0' } },
            core_1.jsx(core_2.Dialog, { open: this.state.showDialog, onClose: function () {
                    _this.closeDialog();
                } },
                core_1.jsx("div", { css: {
                        padding: 50,
                        display: 'flex',
                        flexWrap: 'wrap',
                        justifyContent: 'center'
                    } },
                    core_1.jsx("img", { css: imageStyle, src: "https://images.pexels.com/photos/2974657/pexels-photo-2974657.jpeg", onClick: function () {
                            _this.closeDialog();
                            _this.props.onChange('https://images.pexels.com/photos/2974657/pexels-photo-2974657.jpeg');
                        } }),
                    core_1.jsx("img", { css: imageStyle, src: "https://images.pexels.com/photos/2985927/pexels-photo-2985927.jpeg", onClick: function () {
                            _this.closeDialog();
                            _this.props.onChange('https://images.pexels.com/photos/2985927/pexels-photo-2985927.jpeg');
                        } }),
                    core_1.jsx("img", { css: imageStyle, src: "https://images.pexels.com/photos/2538412/pexels-photo-2538412.jpeg", onClick: function () {
                            _this.closeDialog();
                            _this.props.onChange('https://images.pexels.com/photos/2538412/pexels-photo-2538412.jpeg');
                        } }))),
            core_1.jsx(core_2.Button, { color: "primary", variant: "contained", fullWidth: true, onClick: function () {
                    _this.setState(__assign(__assign({}, _this.state), { showDialog: !_this.state.showDialog }));
                } }, "Choose Image")));
    };
    return ExampleEditor;
}(react_1.default.Component));
sdk_1.Builder.registerEditor({
    /**
     * Here we override the built-in "file" type editor. You can also create your own
     * type instead - e.g. name: 'ExampleImage' and that can be set as input field "types"
     * in the Builder.io webapp or in custom components
     */
    name: 'file',
    component: ExampleEditor
});
//# sourceMappingURL=plugin.js.map