(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(require('@emotion/core'), require('react'), require('@builder.io/sdk'), require('@material-ui/core')) :
    typeof define === 'function' && define.amd ? define(['@emotion/core', 'react', '@builder.io/sdk', '@material-ui/core'], factory) :
    (factory(global.core,global.React,global.sdk,global.core$1));
}(this, (function (core,React,sdk,core$1) { 'use strict';

    React = React && React.hasOwnProperty('default') ? React['default'] : React;

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    var ExampleEditor = /** @class */ (function (_super) {
        __extends(ExampleEditor, _super);
        function ExampleEditor() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.state = {
                showDialog: false
            };
            return _this;
        }
        Object.defineProperty(ExampleEditor.prototype, "organization", {
            // TODO: if key is not set, prompt the user for their cloudinary key and set it via the
            // setter below
            get: function () {
                return this.props.context.user.organization;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ExampleEditor.prototype, "cloudinaryKey", {
            get: function () {
                return this.organization.value.settings.plugins.get('cloudinaryKey');
            },
            set: function (key) {
                this.organization.value.settings.plugins.set('cloudinaryKey', key);
                this.organization.save();
            },
            enumerable: true,
            configurable: true
        });
        ExampleEditor.prototype.closeDialog = function () {
            this.setState(__assign(__assign({}, this.state), { showDialog: false }));
        };
        ExampleEditor.prototype.render = function () {
            var _this = this;
            var imageStyle = {
                width: 200,
                height: 200,
                cursor: 'pointer',
                objectFit: 'cover',
                borderRadius: 4,
                backgroundColor: '#f8f8f8'
            };
            return (core.jsx("div", { css: { padding: '15px 0' } },
                core.jsx(core$1.Dialog, { open: this.state.showDialog, onClose: function () {
                        _this.closeDialog();
                    } },
                    core.jsx("div", { css: {
                            padding: 50,
                            display: 'flex',
                            flexWrap: 'wrap',
                            justifyContent: 'center'
                        } },
                        core.jsx("img", { css: imageStyle, src: "https://images.pexels.com/photos/2974657/pexels-photo-2974657.jpeg", onClick: function () {
                                _this.closeDialog();
                                _this.props.onChange('https://images.pexels.com/photos/2974657/pexels-photo-2974657.jpeg');
                            } }),
                        core.jsx("img", { css: imageStyle, src: "https://images.pexels.com/photos/2985927/pexels-photo-2985927.jpeg", onClick: function () {
                                _this.closeDialog();
                                _this.props.onChange('https://images.pexels.com/photos/2985927/pexels-photo-2985927.jpeg');
                            } }),
                        core.jsx("img", { css: imageStyle, src: "https://images.pexels.com/photos/2538412/pexels-photo-2538412.jpeg", onClick: function () {
                                _this.closeDialog();
                                _this.props.onChange('https://images.pexels.com/photos/2538412/pexels-photo-2538412.jpeg');
                            } }))),
                core.jsx(core$1.Button, { color: "primary", variant: "contained", fullWidth: true, onClick: function () {
                        _this.setState(__assign(__assign({}, _this.state), { showDialog: !_this.state.showDialog }));
                    } }, "Choose Image")));
        };
        return ExampleEditor;
    }(React.Component));
    sdk.Builder.registerEditor({
        /**
         * Here we override the built-in "file" type editor. You can also create your own
         * type instead - e.g. name: 'ExampleImage' and that can be set as input field "types"
         * in the Builder.io webapp or in custom components
         */
        name: 'file',
        component: ExampleEditor
    });

})));
//# sourceMappingURL=plugin.umd.js.map
